Get flight timetables
curl --request GET \
--url https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/flights \
--header 'Authorization: <api-key>'import requests
url = "https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/flights"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://1a557de0-701c-477d-bedd-433520441dae.mock.pstmn.io/api/flights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flights": [
{
"id": "QR001-20240101",
"flightNumber": "QR001",
"origin": "DOH",
"destination": "LHR",
"departureDate": "2024-01-01",
"departureTime": "08:00",
"arrivalDate": "2024-01-01",
"arrivalTime": "12:00",
"aircraftType": "B777",
"status": "scheduled"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 100,
"totalPages": 10
}
}Schedules & Capacity
Get Flight Timetables
Get flight timetables and legs with dates and aircraft types
GET
/
api
/
flights
Get flight timetables
Retrieve flight timetables and leg information.
Reference Documentation
For more information on flight scheduling and capacity processes, please refer to:
- Page 48 of “BRS Future Processes DRAFT”: https://belli.sg/3KqjOfV
Authorizations
ApiKeyAuthApiKeyHeader
Query Parameters
Page number
Items per page
Filter by origin airport
Filter by destination airport
Filter by flight status
Filter by flight date
⌘I